%define anolis_release 2
%define debug_package %{nil}

Name:	        seal	
Version:	3.7.2
Release:	%{anolis_release}%{?dist}
Summary:	Microsoft SEAL is an easy-to-use open-source (MIT licensed) homomorphic encryption library.

License:	MIT
URL:		https://github.com/microsoft/SEAL
Source0:	https://github.com/microsoft/SEAL/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires:	gcc,cmake
BuildRequires:  hexl-devel
BuildRequires:  microsoft-gsl-devel
BuildRequires:  libzstd-devel 	libzstd-static
BuildRequires:	cpu_features-devel
BuildRequires:  systemd-rpm-macros
BuildRequires:  chrpath

Patch1001:	1001-bugfix-the-tls-model-error-in-build.patch
Patch1002:	1002-fix-the-head-file-path.patch

ExclusiveArch:  x86_64

%description
SEAL Package

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DSEAL_BUILD_DEPS=OFF \
       -DSEAL_USE_INTEL_HEXL=ON \
       -DSEAL_USE_ZLIB=OFF \
       -DSEAL_BUILD_EXAMPLES=OFF \
       -DSEAL_BUILD_TESTS=OFF \
       -DBUILD_SHARED_LIBS=ON 

%cmake_build

%install
%cmake_install

#Remove rpath
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libseal.so.%{version}
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
echo "%{_libdir}" > $RPM_BUILD_ROOT/etc/ld.so.conf.d/%{name}-%{_arch}.conf

%files
%license LICENSE
%{_libdir}/libseal.so.3.7
%{_libdir}/libseal.so.3.7.2
%config(noreplace) /etc/ld.so.conf.d/*

%files devel
%{_libdir}/libseal.so
%{_includedir}/seal/*
%{_libdir}/cmake/SEAL/
%{_libdir}/pkgconfig/seal_*.pc

%files doc
%doc NOTICE README.md ISSUES.md CHANGES.md CONTRIBUTING.md
%doc CODE_OF_CONDUCT.md SECURITY.md

%changelog
* Thu Nov 17 2022 happy_orange <songnannan@linux.alibaba.com> - 3.7.2-2
- fix the head file path

* Wed Nov 16 2022 happy_orange <songnannan@linux.alibaba.com> - 3.7.2-1
- Init package
